<p>Im Gegensatz zu den weit verbreiteten imperativen Programmiersprachen (bspw. Python, C++, Java),
    bei denen Programme aus einer Folge von Anweisungen bestehen, die vorgeben, in welcher Reihenfolge
    was vom Computer getan werden soll, beschreiben SQL-Anweisungen das gewünschte
    Ergebnis (z.B. die Erstellung einer Tabelle oder die Rückgabe eines bestimmten Ausschnitts aus
    der Datenbank), aber nicht die Art und Weise, wie die Anweisung ausgeführt wird. Die Sprache SQL wird damit
    zu den <span class="bold">deklarativen, nicht-prozeduralen Sprachen</span> gezählt.
</p>
<h2>Beispiel</h2>

<p>Schau dir dieses {{> sqlfiddle }} an. Die Tabelle Person wurde zunächst erstellt und erste Tupel der
    Tabelle hinzugefügt. Auf der rechten Seite sehen wir eine Abfrage, die alle Einträge dieser Tabelle
    zurück gibt.
</p>
<p>
    Mit einem Klick auf &bdquo;Run&ldquo; werden beide Abfragen ausgeführt und das Ergebnis der
    <code>SELECT</code>-Abfrage ausgegeben.
</p>

<iframe title="Quizfrage Charakterisierung Python"
    src="https://www.db-fiddle.com/f/7tdXZm3kFUTKD1HgkvQmHx/1" width="900" height="600" frameborder="0"
    allowfullscreen="allowfullscreen">
    Dein Browser unterstützt keine iFrames, weshalb dieser Inhalt nicht angezeigt werden kann.
</iframe>

<h2>Arten von SQL-Anweisungen</h2>

Wir unterscheiden drei verschiedene Teilbereiche einer Datenbanksprache, diese sind:
<ul class="ovk-bullet-list">
    <li><span class="bold">DDL - Data Definition Language</span><br />
        dient der Erstellung und Beschreibung von Tabellen, z.&nbsp;B. der Befehl <code>CREATE</code>
    </li>
    <li><span class="bold">DML - Data Manipulation Language</span><br />
        zum Lesen, Verändern und Löschen von Daten, sowie zur Formulierung von Datenbankenabfragen
        z.&nbsp;B. die Befehle <code>INSERT</code> und <code>SELECT</code>
    </li>
    <li><span class="bold">DCL - Data Control Language</span><br />
        zur Zugriffskontrolle (Berechtigungen vergeben und entziehen), z.&nbsp;B. der Befehl
        <code>GRANT</code>
    </li>
</ul>
<p>Unser {{> sqlfiddle }} enthält also bereits SQL-Anfragen, die zur Kategorie DDL und DML gehören.</p>
<p>
    Auf den folgenden Seiten werden wir die verschiedenen Arten von SQL-Anfragen genauer kennenlernen.
    Wir unterscheiden hierfür <span class="bold">Datenanweisungen</span> und <span
        class="bold">Schemaanweisungen</span>:<br />
    Mit Schemaanweisungen wird die Struktur einer Datenbank festgelegt. Es werden also die Tabellen,
    Tabellenattribute und die Datentypen der Attribute definiert. Mit Datenanweisungen fügen wir Daten
    in die Datenbank ein, können Daten abfragen, verändern und löschen.
</p>
